/******************************************************************************/
/******************************************************************************/
/*                                                                            */
/* Trigger: DTULTATU_QUALIFICACAO                                             */
/* Tabela : QUALIFICACAO                                                      */
/*                                                                            */
/* Criao:                                                                   */
/*                                                                            */
/*                                                                            */
/******************************************************************************/

CREATE OR REPLACE TRIGGER DTULTATU_QUALIFICACAO
BEFORE INSERT OR UPDATE OR DELETE
ON QUALIFICACAO FOR EACH ROW

BEGIN
   IF INSERTING THEN
      :NEW.DTULTATUQUAL := SYSDATE;
   END IF;
   IF UPDATING THEN
      IF (NVL(:OLD.CDQUALIF,0)     <> NVL(:NEW.CDQUALIF,0))     OR
         (NVL(:OLD.DSQUALIF,0)     <> NVL(:NEW.DSQUALIF,0))     OR
         (NVL(:OLD.IDPERCOTCMP,0)  <> NVL(:NEW.IDPERCOTCMP,0))  OR
         (NVL(:OLD.DTULTATUQUAL,TO_DATE('31/12/1899','DD/MM/YYYY')) <>
          NVL(:NEW.DTULTATUQUAL,TO_DATE('31/12/1899','DD/MM/YYYY'))) THEN
         :NEW.DTULTATUQUAL := SYSDATE;
      END IF;
   END IF;
   IF DELETING THEN
      INSERT INTO DELETECACHE (NMTABLECACHE, CDFILICACHE, DSKEYCACHE, DTULTATUCACH)
                       VALUES ('QUALIFICACAO', '', 'CDQUALIF='||:OLD.CDQUALIF||';', SYSDATE);
   END IF;
END;
/

ALTER TABLE QUALIFICACAO MODIFY DTULTATUQUAL DEFAULT SYSDATE
/
